StarPU Handbook

Typedefs | Functions
starpu_task_bundle.h File Reference

Go to the source code of this file.

## Typedefs
typedef struct _starpu_task_bundle * | starpu_task_bundle_t

## Functions
void | starpu_task_bundle_create (starpu_task_bundle_t *bundle)
int | starpu_task_bundle_insert (starpu_task_bundle_t bundle, struct starpu_task *task)
int | starpu_task_bundle_remove (starpu_task_bundle_t bundle, struct starpu_task *task)
void | starpu_task_bundle_close (starpu_task_bundle_t bundle)
double | starpu_task_bundle_expected_length (starpu_task_bundle_t bundle, struct starpu_perfmodel_arch *arch, unsigned nimpl)
double | starpu_task_bundle_expected_data_transfer_time (starpu_task_bundle_t bundle, unsigned memory_node)
double | starpu_task_bundle_expected_energy (starpu_task_bundle_t bundle, struct starpu_perfmodel_arch *arch, unsigned nimpl)